Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer
Class Connection

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.MajorPlugin.MorphAnalyzer.ChartMorphAnalyzer.Connection

    public class Connection

extends java.lang.Object

This class is for the connection rules of morphemes. It is used to check whether the morphemes can appear consecutively.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`java.lang.String` | `author` The author of the connection rules.
`private boolean[][]` | `connectionTable` The connectoin table which has the connection information ofo morphemes
`java.lang.String` | `copyright` The copyright of the connection rules.
`java.lang.String` | `date` The date when the connection rules are updated.
`java.lang.String` | `editor` The people who edited the connection rules.
`java.lang.String` | `startTag` Start tag.
`java.lang.String` | `title` The name of the connection rules.
`java.lang.String` | `version` The version of the connection rules.

Constructor Summary
`Connection()` Constructor.

Method Summary
`boolean` | `checkConnection(TagSet tagSet, int tag1, int tag2, int len1, int len2, int typeOfTag2)` Checks whether two morpheme tags can appear consecutively.
`void` | `clear()` Cleans the connection rules and metadata.
`void` | `init(java.lang.String filePath, int tagCount, TagSet tagSet)` Initialize the connection rules from the rule data file.
`private void` | `readFile(java.lang.String filePath, int tagCount, TagSet tagSet)` Reads the connection rule data file, and initialize the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    public java.lang.String title

  The name of the connection rules.

### version

    public java.lang.String version

  The version of the connection rules.

### copyright

    public java.lang.String copyright

  The copyright of the connection rules.

### author

    public java.lang.String author

  The author of the connection rules.

### date

    public java.lang.String date

  The date when the connection rules are updated.

### editor

    public java.lang.String editor

  The people who edited the connection rules.

### startTag

    public java.lang.String startTag

  Start tag.

### connectionTable

    private boolean[][] connectionTable

  The connectoin table which has the connection information ofo morphemes

Constructor Detail

### Connection

    public Connection()

  Constructor.

Method Detail

### checkConnection

    public boolean checkConnection(TagSet tagSet,
                                   int tag1,
                                   int tag2,
                                   int len1,
                                   int len2,
                                   int typeOfTag2)

  Checks whether two morpheme tags can appear consecutively.

  Parameters:
    `tagSet` - - morpheme tag set
    `tag1` - - the first morpheme tag to check
    `tag2` - - the second morpheme tag to check
    `len1` - - the length of the first morpheme
    `len2` - - the length of the second morpheme
    `typeOfTag2` - - the tag type of the second morpheme tag
  Returns:
    true: the two consecutive morpheme tags can appear, false: they cannot appear

### clear

    public void clear()

  Cleans the connection rules and metadata.

### init

    public void init(java.lang.String filePath,
                     int tagCount,
                     TagSet tagSet)
              throws java.io.IOException

  Initialize the connection rules from the rule data file.

  Parameters:
    `filePath` - - the path for the connection rule data file
    `tagCount` - - the number of the total tags
    `tagSet` - - the tag set which is used in the connection rules
  Throws:
    `java.io.IOException`

### readFile

    private void readFile(java.lang.String filePath,
                          int tagCount,
                          TagSet tagSet)
                   throws java.io.IOException

  Reads the connection rule data file, and initialize the object.

  Parameters:
    `filePath` - - the path for the connection rule file
    `tagCount` - - the number of total tags in the tag set
    `tagSet` - - the tag set which is used in the connection rules
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD